View Issue Details

IDProjectCategoryView StatusLast Update
09758Bug reportsResponse browsingpublic2015-07-24 11:44
Reporterunluigui Assigned ToDenisChenu  
PrioritylowSeverityminor 
Status closedResolutionfixed 
Fixed in Version2.06+ 
Summary09758: Selecting to show last 50 responses does not show the last 50 responses anymore
DescriptionSince VersiĆ³n 2.06+ Build 150629 if I select to view the last 50 responses Limesurvey shows the same as selecting the full show responses button, starting from the first registry made on the database. Don't know but feels redundant having 2 buttons to show the responses, as with the new filters making the responses to order by date or ID seems the same now.
Additional InformationUsing Wamp Server Version 2.2d, Apache Version 2.2.22, PHP Version 5.4.3, MySQL Version 5.5.2.
TagsNo tags attached.
Complete LimeSurvey version number (& build)
I will donate to the project if issue is resolved
Browser
Database & DB-Version
Server OS (if known)
Webserver software & version (if known)
PHP Version

Activities

unluigui

unluigui

2015-07-07 01:58

reporter  

DenisChenu

DenisChenu

2015-07-17 16:05

developer   ~32713

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=15573
c_schmitz

c_schmitz

2015-07-24 11:44

administrator   ~32784

Version 2.06 Build 150723 released

Related Changesets

LimeSurvey: master ec597676

2015-07-17 14:05:21

DenisChenu

Details Diff
Fixed issue 09758: Selecting to show last 50 responses does not show the last 50 responses anymore
Fixed issue : unable to delete multiple response in some condition
Dev: get the default order/page and rowNum by query ($_GET no $_POST)
Dev: delete response only if request is post for CRSF
Dev: deleteByPk must work with array or pseudo array, but sometimes it don't work ???
Dev: Fix Timing delete var : iResponseID to iResponseId
Affected Issues
09758
mod - application/controllers/admin/responses.php Diff File
mod - application/views/admin/responses/listResponses_view.php Diff File
mod - scripts/admin/listresponse.js Diff File

Issue History

Date Modified Username Field Change
2015-07-07 01:58 unluigui New Issue
2015-07-07 01:58 unluigui File Added: survey_archive_579823.lsa
2015-07-16 17:24 DenisChenu Project Feature requests => Bug reports
2015-07-16 17:26 DenisChenu Assigned To => DenisChenu
2015-07-16 17:26 DenisChenu Status new => confirmed
2015-07-16 17:26 DenisChenu Priority normal => low
2015-07-16 17:26 DenisChenu Severity feature => minor
2015-07-17 16:05 DenisChenu Changeset attached => LimeSurvey master ec597676
2015-07-17 16:05 DenisChenu Note Added: 32713
2015-07-17 16:05 DenisChenu Resolution open => fixed
2015-07-17 16:05 DenisChenu Status confirmed => resolved
2015-07-17 16:05 DenisChenu Fixed in Version => 2.06+
2015-07-24 11:44 c_schmitz Note Added: 32784
2015-07-24 11:44 c_schmitz Status resolved => closed